package com.gingersoft.gsa.cloud.ui.bean.mode;

import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019-12-28
 * 修订历史：2019-12-28
 * 描述：
 */
public class LoginBean {


    /**
     * success : true
     * sysTime : 1578563902000
     * data : {"user":{"userId":1,"userName":"admin","brands":[{"brandId":242,"brandName":"莫拉塔","restaurants":[]},{"brandId":243,"brandName":"蕭蕭","restaurants":[{"restaurantId":337,"restaurantName":"小張"}]}]},"token":"24ce30df203b41619a21967dbd9988b9"}
     */

    private boolean success;
    private String errMsg;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * user : {"userId":1,"userName":"admin","brands":[{"brandId":242,"brandName":"莫拉塔","restaurants":[]},{"brandId":243,"brandName":"蕭蕭","restaurants":[{"restaurantId":337,"restaurantName":"小張"}]}]}
         * token : 24ce30df203b41619a21967dbd9988b9
         */

        private UserBean user;
        private String token;

        public UserBean getUser() {
            return user;
        }

        public void setUser(UserBean user) {
            this.user = user;
        }

        public String getToken() {
            return token;
        }

        public void setToken(String token) {
            this.token = token;
        }

        public static class UserBean {
            /**
             * userId : 1
             * userName : admin
             * brands : [{"brandId":242,"brandName":"莫拉塔","restaurants":[]},{"brandId":243,"brandName":"蕭蕭","restaurants":[{"restaurantId":337,"restaurantName":"小張"}]}]
             */

            private int userId;
            private String userName;
            private List<BrandsBean> brands;

            public int getUserId() {
                return userId;
            }

            public void setUserId(int userId) {
                this.userId = userId;
            }

            public String getUserName() {
                return userName;
            }

            public void setUserName(String userName) {
                this.userName = userName;
            }

            public List<BrandsBean> getBrands() {
                return brands;
            }

            public void setBrands(List<BrandsBean> brands) {
                this.brands = brands;
            }

            public static class BrandsBean {
                /**
                 * brandId : 242
                 * brandName : 莫拉塔
                 * restaurants : []
                 */

                private int brandId;
                private String brandName;
                private List<RestaurantsBean> restaurants;

                public int getBrandId() {
                    return brandId;
                }

                public void setBrandId(int brandId) {
                    this.brandId = brandId;
                }

                public String getBrandName() {
                    return brandName;
                }

                public void setBrandName(String brandName) {
                    this.brandName = brandName;
                }

                public List<RestaurantsBean> getRestaurants() {
                    return restaurants;
                }

                public void setRestaurants(List<RestaurantsBean> restaurants) {
                    this.restaurants = restaurants;
                }

                public static class RestaurantsBean {

                    private int restaurantId;
                    private String restaurantName;

                    public int getRestaurantId() {
                        return restaurantId;
                    }

                    public void setRestaurantId(int restaurantId) {
                        this.restaurantId = restaurantId;
                    }

                    public String getRestaurantName() {
                        return restaurantName;
                    }

                    public void setRestaurantName(String restaurantName) {
                        this.restaurantName = restaurantName;
                    }

                    @Override
                    public String toString() {
                        return "RestaurantsBean{" +
                                "restaurantId=" + restaurantId +
                                ", restaurantName='" + restaurantName + '\'' +
                                '}';
                    }
                }

                @Override
                public String toString() {
                    return "BrandsBean{" +
                            "brandId=" + brandId +
                            ", brandName='" + brandName + '\'' +
                            ", restaurants=" + restaurants +
                            '}';
                }
            }
        }
    }
}
